/*
 * Open Gatekeeper version number
 *
 * Copyright (c) Egoboo Ltd. 1999-2000
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Open Gatekeeper
 *
 * The Initial Developer of the Original Code is Egoboo Ltd.
 *
 * $Log: Version.h,v $
 * Revision 1.9  2001/08/26 12:45:23  aunitt
 * Updated to OpenH323 1.6
 *
 * Revision 1.8  2000/08/04 14:16:48  aunitt
 * Updated to support new naming conventions in OpenH323 1.1beta3.
 * Bug fix in receiving LCF from Cisco Gatekeeper.
 *
 * Revision 1.7  2000/06/06 09:07:55  aunitt
 * Put in fixes for some Cisco equipment sending zero length RAS addresses in
 * keep alive RRQs.
 *
 * Revision 1.6  2000/05/25 14:26:56  aunitt
 * Fixed bug in handling keep alive RRQs from Cisco gateways.
 * Fixed bug that stopped gateway prefix handling working.
 *
 * Revision 1.5  2000/05/23 10:10:48  aunitt
 * Added statically defined gateway prefixes.
 * Improved logging (add IP addresses and more decodes).
 * Support for H.245 tunneling.
 *
 * Revision 1.4  2000/05/12 14:00:14  aunitt
 * Added support for routing H.245
 * Reworked logging code.
 *
 * Revision 1.3  2000/05/05 11:11:44  aunitt
 * Added bandwidth management.
 *
 * Revision 1.2  2000/05/03 13:22:49  aunitt
 * Fixed bug in Makefile
 *
 * Revision 1.1  2000/05/02 16:32:43  aunitt
 * OpenGatekeeper version info
 *
 *
 *
 */

#ifndef _GKVERSION_H
#define _GKVERSION_H

#define GKVER_MAJOR     0
#define GKVER_MINOR     9
#define GKVER_STATUS    AlphaCode
#define GKVER_BUILD     4

// Can  and/or should we fill out the build number automatically using CVS
// or some other method? e.g. date

#endif // _GKVERSION_H

